From b2a03307d2bba2c9f6a8b7711e90953462b32dd6 Mon Sep 17 00:00:00 2001
From: Nitheesh Sekar <nsekar@codeaurora.org>
Date: Mon, 8 Apr 2019 17:48:47 +0530
Subject: [PATCH 17/17] qcom: Update DT entry to patch for bluetooth_mac

Temporarily add support to patch old DT entry as well
for "bluetooth_mac" VPD variable inorder to support
backward compatiblity for old Kernels.

Change-Id: I2efd152114a8fe13333321123e65112d752185d3
Signed-off-by: Nitheesh Sekar <nsekar@codeaurora.org>
---
 src/board/mistral/board.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/board/mistral/board.c b/src/board/mistral/board.c
index c816a44ab25b..236da4ac5022 100644
--- a/src/board/mistral/board.c
+++ b/src/board/mistral/board.c
@@ -44,6 +44,7 @@ static const VpdDeviceTreeMap vpd_dt_map[] = {
 	{ "eth_wan_mac", "/soc@0/ethernet@7a80000/mdio/switch0@16/ports/port@2/local-mac-address" },
 	{ "eth_lan_mac", "/soc@0/ethernet@7a80000/mdio/switch0@16/ports/port@3/local-mac-address" },
 	{ "bluetooth_mac", "/soc@0/serial@78b2000/wcn3990-bt/local-bd-address" },
+	{ "bluetooth_mac", "/soc@0/serial@78b2000/wcn3998-bt/local-bd-address" },
 	{ "cascade_mac", "/soc@0/pci@10000000/pcie@0/wifi@0,0/local-mac-address" },
 
 	{}
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

